<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:c="http://java.sun.com/jstl/core">
<h:head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <link rel="icon" type="image/png" sizes="16x16" href="../../recursos/assets/images/favicon.png"/>
    <title>Tablero de Mando - Administración de Usuarios</title>
    <link href="../../recursos/assets/bootstrap-switch/bootstrap-switch.min.css" rel="stylesheet"/>
    <link href="../../recursos/assets/footable/css/footable.bootstrap.min.css" rel="stylesheet"/>
    <link href="../../recursos/dist/css/pages/contact-app-page.css" rel="stylesheet"/>
    <link href="../../recursos/dist/css/pages/footable-page.css" rel="stylesheet"/>
    <link href="../../recursos/dist/css/pages/bootstrap-switch.css" rel="stylesheet"/>
    <link href="../../recursos/dist/css/style.css" rel="stylesheet"/>
    <link href="../../recursos/assets/icons/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" />
	<link href="../../recursos/assets/icons/themify-icons/themify-icons.css" rel="stylesheet" />
	<link href="../../recursos/assets/icons/font-awesome/css/fontawesome-all.css" rel="stylesheet"/>
	
    <style>
		.card {
		    position: relative;
		    display: -webkit-box;
		    display: -ms-flexbox;
		    display: flex;
		    -webkit-box-orient: vertical;
		    -webkit-box-direction: normal;
		    -ms-flex-direction: column;
		    flex-direction: column;
		    min-width: 0;
		    word-wrap: break-word;
		    background-color: #fff;
		    background-clip: border-box;
		    border: 1px solid rgba(0,0,0,.125);
		}
		.card-rounded {border-radius: .75rem;}
		.shadow-sm {
		    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
		}
		.table th, .table td {border-top: 0;}
		.table {margin-bottom: 0;}
	    .contact-page-aside {padding: 20px;}
	    .horizontal {display: inline; border-left: 1px solid #ddd; padding: 0 0.5em; }
	    ul {padding-inline-start: 0}
	    .vertical {list-style-type: none; margin-bottom: 0;}
	    .first {border-left: 0; padding-left: 0}
	    label {margin-right: 5px;}
	    .bg-info {background: #007abc;}
	    .text-info {color: #007abc;}
	    .btn-outline-info { color: #007abc; border-color: #007abc;}
	    .btn-info {background: #007abc;}
	    .bg-green {background: #a4ce4e;}
	    .btn-outline-green {color: #a4ce4e; border-color: #a4ce4e;}
	    .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary {color: #fff; background: #007abc;}
	    .linkactivo {
	     	color: #f95c2e;
		    text-decoration: none;
		    background-color: #e9ecef;
		    border-color: #dee2e6; 
	    }
	    .buscarGrid td {
		    background: none !important;
			border: none !important;
		}
    </style>
        
	<script src="../../recursos/assets/jquery/jquery-3.2.1.min.js"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="../../recursos/assets/popper/popper.min.js"></script>
    <script src="../../recursos/assets/bootstrap/js/bootstrap.min.js"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="../../recursos/dist/js/perfect-scrollbar.jquery.min.js"></script>
    <!--Wave Effects -->
    <script src="../../recursos/dist/js/waves.js"></script>
    <!--Menu sidebar -->
    <script src="../../recursos/dist/js/sidebarmenu.js"></script>
    <!--stickey kit -->
    <script src="../../recursos/assets/sticky-kit-master/dist/sticky-kit.min.js"></script>
    <script src="../../recursos/assets/sparkline/jquery.sparkline.min.js"></script>
    <!--Custom JavaScript -->
    <script src="../../recursos/dist/js/custom.js"></script>
    <!-- Footable -->
    <script src="../../recursos/assets/moment/moment.js"></script>
    <script src="../../recursos/assets/footable/js/footable.min.js"></script>
    <!--FooTable init-->
	<script src="../../recursos/assets/bootstrap-switch/bootstrap-switch.min.js"></script>
</h:head>

<h:body class="skin-blue fixed-layout">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label">BEBOSS</p>
		</div>
	</div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <header class="topbar">
			<nav class="navbar top-navbar navbar-expand-md navbar-dark">
				<!-- ============================================================== -->
				<!-- Logo -->
				<!-- ============================================================== -->
				<div class="navbar-header">
					<a class="navbar-brand" href="index.html">
						<!-- Logo icon --><b>
                            <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                            <!-- Dark Logo icon -->
                            <img src="../../recursos/assets/images/logo-icon.png" alt="homepage" class="dark-logo" />
                            <!-- Light Logo icon -->
                            <img src="../../recursos/assets/images/logo-light-icon.png" alt="homepage" class="light-logo" />
                        </b>
						<!--End Logo icon -->
						<!-- Logo text --><span>
                         <!-- dark Logo text -->
                         <img src="../../recursos/assets/images/logo-text.png" alt="homepage" class="dark-logo" />
                         <!-- Light Logo text -->    
                         <img src="../../recursos/assets/images/logo-light-text.png" class="light-logo" alt="homepage" /></span> </a>
				</div>
				<!-- ============================================================== -->
				<!-- End Logo -->
				<!-- ============================================================== -->
				<div class="navbar-collapse">
					<!-- ============================================================== -->
					<!-- toggle and nav items -->
					<!-- ============================================================== -->
					<ul class="navbar-nav mr-auto">
						<!-- This is  -->
						<li class="nav-item"> <a class="nav-link nav-toggler d-block d-md-none waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
						<li class="nav-item"> <a class="nav-link sidebartoggler d-none d-lg-block d-md-block waves-effect waves-dark" href="javascript:void(0)"><i class="icon-menu"></i></a> </li>
						<!-- ============================================================== -->
						<!-- Search -->
						<!-- ============================================================== -->
					</ul>
					<!-- ============================================================== -->
					<!-- User profile and search -->
					<!-- ============================================================== -->
					<ul class="navbar-nav my-lg-0">
						<!-- ============================================================== -->
						<!-- User Profile -->
						<!-- ============================================================== -->
						<li class="nav-item dropdown u-pro">
							<a class="nav-link dropdown-toggle waves-effect waves-dark profile-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="hidden-md-down">#{adminBean.usuarioSession.nombreCompletoUsuario}<i class="fa fa-angle-down"></i></span> </a>
							<div class="dropdown-menu dropdown-menu-right animated flipInY">
								<!-- text-->
								<h:form>
	                            	<p:commandLink actionListener="#{loginBean.logoutAction}" styleClass="dropdown-item"><i class="fa fa-power-off"></i> Cerrar Sesión</p:commandLink>
                            	</h:form>
								<!-- text-->
							</div>
						</li>
						<!-- ============================================================== -->
						<!-- End User Profile -->
						<!-- ============================================================== -->
					</ul>
				</div>
			</nav>
		</header>
        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <h:form> 
	        <aside class="left-sidebar">
				<!-- Sidebar scroll-->
				<div class="scroll-sidebar">
					<!-- Sidebar navigation-->
					<nav class="sidebar-nav">
	                	<ul id="sidebarnav">
	                    	<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/admin/usuarios')}" styleClass="has-arrow waves-effect waves-dark active">
							       <i class="icon-user"></i><span class="hide-menu">Usuarios</span>
							    </p:commandLink>
							</li>	
							<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/admin/periodos')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fa fa-sitemap"></i><span class="hide-menu">Configuración Periodos Comerciales</span>
							    </p:commandLink>
							</li>
							<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/admin/planes')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="ti-layout-grid2"></i><span class="hide-menu">Activación Planes</span>
							    </p:commandLink>
							</li>
	                    	<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/admin/importacion')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fa fa-filter"></i><span class="hide-menu">Importación de Datos</span>
							    </p:commandLink>
							</li>
	      	        	</ul>
					</nav>
					<!-- End Sidebar navigation -->
				</div>
				<!-- End Sidebar scroll-->
			</aside>
		</h:form>
        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">USUARIOS</h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active">Usuarios</li>
                            </ol>
                        </div>
                    </div>
                </div>
                <!-- ============================================================== -->
                <!-- End Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <!-- ============================================================== -->
                <!-- Start Page Content -->
                <!-- ============================================================== -->
                <div class="row">
                    <div class="col-12">
                         <div class="right-page-header">
                             <div class="d-flex">
                                 <div class="d-flex justify-content-end align-items-center">
                                    <h:form styleClass="d-none d-md-block d-lg-block">
                                    	<p:messages id="messages" showDetail="true" closable="true"/>
                                    	<p:panelGrid columns="2" styleClass="buscarGrid">
	     									<p:inputText value="#{adminBean.busqueda}" maxlength="50" styleClass="form-control" placeholder="Buscar" />
	     									<p:commandLink ajax="true" styleClass="btn waves-effect waves-light btn-rounded btn-info flex-direction-row" 
	     										value="Buscar" actionListener="#{adminBean.cargaUsuarios}" update="frmUsuarios"
	     										onclick="$('.preloader').fadeIn();" oncomplete="$('.preloader').fadeOut();"/>
     									</p:panelGrid>
     						    	</h:form>
                                 </div>
                                 <div class="ml-auto">
		                             <button type="button" class="btn btn-info btn-rounded m-10 float-right"
		                             	data-toggle="modal" data-target="#add-contact">Crear Nuevo Usuario</button>
		                             <button type="button" class="btn btn-rounded btn-outline-info m-10 float-right">Realizar Carga Masiva</button>
	                             </div>
                             </div>
                         </div>
                         <div class="col-3">
                             </div>
                         <!-- Add Contact Popup Model -->
                         <div id="add-contact" class="modal fade in" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                             <div class="modal-dialog">
                                 <div class="modal-content">
                                     <div class="modal-header">
                                         <button type="button" class="close" data-dismiss="modal"
                                             aria-hidden="true">×</button>
                                         <h4 class="modal-title" id="myModalLabel">Agregar Usuario</h4>
                                     </div>
                                     <div class="modal-body">
                                         <from class="form-horizontal form-material">
                                             <div class="form-group">
                                                 <div class="col-md-12 m-b-20">
                                                     <input type="text" class="form-control"
                                                         placeholder="Nombre"/> </div>
                                                 <div class="col-md-12 m-b-20">
                                                     <input type="text" class="form-control"
                                                         placeholder="Email"/> </div>
                                                 <div class="col-md-12 m-b-20">
                                                     <input type="text" class="form-control"
                                                         placeholder="Teléfono"/> </div>
                                                 <div class="col-md-12 m-b-20">
                                                     <input type="text" class="form-control"
                                                         placeholder="Cargo"/> </div>
                                                 <div class="col-md-12 m-b-20">
                                                     <input type="text" class="form-control"
                                                         placeholder="RUT"/> 
                                                 </div>
                                             </div>
                                         </from>
                                     </div>
                                     <div class="modal-footer">
                                         <button type="button" class="btn btn-info waves-effect"
                                             data-dismiss="modal">Guardar</button>
                                         <button type="button" class="btn btn-default waves-effect"
                                             data-dismiss="modal">Cancelar</button>
                                     </div>
                                 </div>
                                 <!-- /.modal-content -->
                             </div>
                             <!-- /.modal-dialog -->
                           </div>
                           
                           <h:form id="frmUsuarios">
                           <c:if test="#{adminBean.paginator eq null}">
                           		<div class="row justify-content-center m-3">
                           			<h4 class="modal-title" id="myModalLabel">Filtros de búsqueda sin resultados</h4>
                           		</div> 
                           </c:if>
                           	<c:if test="#{adminBean.paginator ne null}">
								<div class="row justify-content-center m-3">                                
									<nav aria-label="Page navigation example">
									  <ul class="pagination ">
									  	<c:if test="#{adminBean.paginator.pageIndex eq 1}">
									  		 <li class="page-item disabled">
										      <a class="page-link" href="#" tabindex="-1">Anterior</a>
										     </li>
									  	</c:if>	
									  	<c:if test="#{adminBean.paginator.pageIndex gt 1}">
									  		 <li class="page-item">
										      <p:commandLink styleClass="page-link" value="Anterior" action="#{adminBean.paginator.prev}" update="frmUsuarios"/>
										     </li>
									  	</c:if>	
									    <c:forEach var="i" begin="1" end="#{adminBean.paginator.pages}">
									    	<li class="page-item">
										    	<p:commandLink styleClass="#{adminBean.paginator.pageIndex eq i?'page-link linkactivo':'page-link'}" value="#{i}" action="#{adminBean.paginator.page(i)}" update="frmUsuarios"/>
											</li>
										</c:forEach>
										<c:if test="#{adminBean.paginator.pageIndex eq adminBean.paginator.pages}">
									  		 <li class="page-item disabled">
										      <a class="page-link" href="#" tabindex="-1">Siguiente</a>
										     </li>
									  	</c:if>	
									  	<c:if test="#{adminBean.paginator.pageIndex lt adminBean.paginator.pages}">
									  		 <li class="page-item">
										      <p:commandLink styleClass="page-link" value="Siguiente" action="#{adminBean.paginator.next}" update="frmUsuarios"/>
										     </li>
									  	</c:if>	
									  </ul>
									</nav>    
								</div> 
	       						<ui:repeat value="#{adminBean.paginator.model}" var="listUsuarios">
		                           <div class="card card-rounded bt-switch shadow-sm">
		                           		<div class="table-responsive ">
			                               <table class="table no-wrap">
		                                       <tr>
		                                           <td><div class="card card-rounded bg-green float-left mr-3"><div class="card-body">#{listUsuarios.getRol()}</div></div> 
		                                           <h4 class="float: left">#{listUsuarios.getNombresPersonal()} #{listUsuarios.getApellidosPersonal()}</h4>
		                                               <ul class="">
		                                               <li class="horizontal first">#{listUsuarios.getRol()}</li>
		                                               <li class="horizontal">TEL: 123</li>
		                                               <li class="horizontal">usuario@usuariocorporativo.cl</li>
		                                               <li class="horizontal">12.345.678-9</li>
		                                               </ul>
		                                           </td>
			                                     	<td style="border-left: 1px solid rgba(0,0,0,.125)" class="text-right align-bottom">
			                                     		<ul class="vertical">
				                                           <li class=""><label>Habilitar / Deshabilitar </label> <input type="checkbox"  data-size="mini" /> </li>
				                                           <li class=""><label>Desvincular </label> <input type="checkbox"  data-size="mini" /> </li>
				                                           <li class=""><label>Reiniciar Clave</label><button type="button" class="btn btn-rounded btn-xs btn-outline-green"><i class="fa fa-key"></i> </button></li>
			                                        	</ul>
			                                        </td>
			                                     </tr>
			                             	</table>
		                         		</div>
		                         	</div>
								</ui:repeat>
							</c:if>	
						</h:form>
                    </div>
                </div>
            </div>
        </div>
        <footer class="footer">
           <img src="../../recursos/assets/images/logo-beboss.png" alt="homepage" class="mr-2" /> Copyright © 2019 BEBOSS. Todos los derechos reservados. 
        </footer>
    </div>
    <script>
	 //<![CDATA[	
	 $(function() {
	     $(".preloader").fadeOut();
	 });
	 //]]>
	</script>
</h:body>
</html>